Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.diagram
Class PathwayDiagramViewBuilder

    java.lang.Object
      biouml.model.DefaultDiagramViewBuilder
          biouml.standard.diagram.PathwayDiagramViewBuilder

All Implemented Interfaces:
  DiagramViewBuilder

Direct Known Subclasses:
  GeneNetworkDiagramType.GeneNetworkDiagramViewBuilder, MetabolicPathwayDiagramType.MetabolicPathwayDiagramViewBuilder, PathwaySimulationDiagramViewBuilder, SemanticNetworkDiagramType.SemanticNetworkDiagramViewBuilder

public class PathwayDiagramViewBuilder
extends DefaultDiagramViewBuilder

Default implementation of `DiagramViewBuilder`.

Field Summary

Fields inherited from class biouml.model.DefaultDiagramViewBuilder
`log`

Constructor Summary
`PathwayDiagramViewBuilder()`

Method Summary
`protected boolean` | `createCellCoreView(CompositeView container, Node node, DiagramViewOptions diagramOptions, java.awt.Graphics g)`
`protected boolean` | `createConceptCoreView(CompositeView container, java.lang.String title, PathwayDiagramViewOptions diagramOptions, java.awt.Graphics g)`
`DiagramViewOptions` | `createDefaultDiagramViewOptions()`
`CompositeView` | `createDiagramView(Diagram diagram, java.awt.Graphics g)` Creates the diagram view
`CompositeView` | `createEdgeView(Edge edge, DiagramViewOptions viewOptions, java.awt.Graphics g)`
`CompositeView` | `createEquivalentNodeGroupView(EquivalentNodeGroup group, DiagramViewOptions options, java.awt.Graphics g)` Creates view for equivalent node grpoup.
`protected boolean` | `createFunctionCoreView(CompositeView container, java.lang.String title, PathwayDiagramViewOptions diagramOptions, java.awt.Graphics g)`
`protected boolean` | `createGeneCoreView(CompositeView container, Node node, PathwayDiagramViewOptions options, java.awt.Graphics g)`
`protected boolean` | `createNodeCoreView(CompositeView container, Node node, DiagramViewOptions viewOptions, java.awt.Graphics g)`
`CompositeView` | `createNodeView(Node node, DiagramViewOptions options, java.awt.Graphics g)`
`protected boolean` | `createProcessCoreView(CompositeView container, java.lang.String title, PathwayDiagramViewOptions diagramOptions, java.awt.Graphics g)`
`protected boolean` | `createProteinCoreView(CompositeView container, Node node, PathwayDiagramViewOptions options, java.awt.Graphics g, java.lang.String functionalState, java.lang.String configuration, java.lang.String modification)`
`protected boolean` | `createReactionCoreView(CompositeView container, Node node, PathwayDiagramViewOptions options, java.awt.Graphics g)`
`protected void` | `createReactionTitle(DiagramElement reaction, PathwayDiagramViewOptions options, java.awt.Graphics g)`
`void` | `createReactionTitles(Compartment compartment, DiagramViewOptions diagramOptions, java.awt.Graphics g)`
`protected boolean` | `createRNACoreView(CompositeView container, Node node, PathwayDiagramViewOptions options, java.awt.Graphics g)`
`CompositeView` | `createSemanticRelationView(Edge edge, PathwayDiagramViewOptions viewOptions, java.awt.Graphics g)`
`protected boolean` | `createStateCoreView(CompositeView container, java.lang.String title, PathwayDiagramViewOptions diagramOptions, java.awt.Graphics g)`
`protected boolean` | `createSubstanceCoreView(CompositeView container, Node node, PathwayDiagramViewOptions options, java.awt.Graphics g)`
`protected void` | `doLocateReaction(Node reactionNode, DiagramViewOptions options, java.awt.Graphics g)`
`protected Brush` | `getReactionBrush(Base reaction, PathwayDiagramViewOptions options)`
`protected ArrowView.Tip` | `getRelationEndTip(Edge edge, PathwayDiagramViewOptions options)`
`protected Pen` | `getRelationPen(Edge edge, PathwayDiagramViewOptions options)`
`protected ArrowView.Tip` | `getRelationStartTip(Edge edge, PathwayDiagramViewOptions options)`
`void` | `locateReaction(Node reactionNode, DiagramViewOptions options, java.awt.Graphics g)` Locate reaction.

Methods inherited from class biouml.model.DefaultDiagramViewBuilder
`buildNodes, calcAttachmentPoints, createCompartmentView, createNoteView, doCreateCompartmentView, getIcon, getIcon, hideElement, isReaction, moveNode, proportion, removeElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PathwayDiagramViewBuilder

    public PathwayDiagramViewBuilder()

Method Detail

### createDefaultDiagramViewOptions

    public DiagramViewOptions createDefaultDiagramViewOptions()

  Specified by:
    `createDefaultDiagramViewOptions` in interface `DiagramViewBuilder`
  Overrides:
    `createDefaultDiagramViewOptions` in class `DefaultDiagramViewBuilder`

### createDiagramView

    public CompositeView createDiagramView(Diagram diagram,
                                           java.awt.Graphics g)

  Description copied from class: `DefaultDiagramViewBuilder`
  Creates the diagram view

  Specified by:
    `createDiagramView` in interface `DiagramViewBuilder`
  Overrides:
    `createDiagramView` in class `DefaultDiagramViewBuilder`

### createReactionTitles

    public void createReactionTitles(Compartment compartment,
                                     DiagramViewOptions diagramOptions,
                                     java.awt.Graphics g)

### createConceptCoreView

    protected boolean createConceptCoreView(CompositeView container,
                                            java.lang.String title,
                                            PathwayDiagramViewOptions diagramOptions,
                                            java.awt.Graphics g)

### createFunctionCoreView

    protected boolean createFunctionCoreView(CompositeView container,
                                             java.lang.String title,
                                             PathwayDiagramViewOptions diagramOptions,
                                             java.awt.Graphics g)

### createProcessCoreView

    protected boolean createProcessCoreView(CompositeView container,
                                            java.lang.String title,
                                            PathwayDiagramViewOptions diagramOptions,
                                            java.awt.Graphics g)

### createStateCoreView

    protected boolean createStateCoreView(CompositeView container,
                                          java.lang.String title,
                                          PathwayDiagramViewOptions diagramOptions,
                                          java.awt.Graphics g)

### createCellCoreView

    protected boolean createCellCoreView(CompositeView container,
                                         Node node,
                                         DiagramViewOptions diagramOptions,
                                         java.awt.Graphics g)

### createGeneCoreView

    protected boolean createGeneCoreView(CompositeView container,
                                         Node node,
                                         PathwayDiagramViewOptions options,
                                         java.awt.Graphics g)

### createRNACoreView

    protected boolean createRNACoreView(CompositeView container,
                                        Node node,
                                        PathwayDiagramViewOptions options,
                                        java.awt.Graphics g)

### createProteinCoreView

    protected boolean createProteinCoreView(CompositeView container,
                                            Node node,
                                            PathwayDiagramViewOptions options,
                                            java.awt.Graphics g,
                                            java.lang.String functionalState,
                                            java.lang.String configuration,
                                            java.lang.String modification)

### createSubstanceCoreView

    protected boolean createSubstanceCoreView(CompositeView container,
                                              Node node,
                                              PathwayDiagramViewOptions options,
                                              java.awt.Graphics g)

### createReactionCoreView

    protected boolean createReactionCoreView(CompositeView container,
                                             Node node,
                                             PathwayDiagramViewOptions options,
                                             java.awt.Graphics g)

### createReactionTitle

    protected void createReactionTitle(DiagramElement reaction,
                                       PathwayDiagramViewOptions options,
                                       java.awt.Graphics g)

### createNodeCoreView

    protected boolean createNodeCoreView(CompositeView container,
                                         Node node,
                                         DiagramViewOptions viewOptions,
                                         java.awt.Graphics g)

  Overrides:
    `createNodeCoreView` in class `DefaultDiagramViewBuilder`
  Returns:
    indicates whether a node title should be added to node core view

### createNodeView

    public CompositeView createNodeView(Node node,
                                        DiagramViewOptions options,
                                        java.awt.Graphics g)

  Specified by:
    `createNodeView` in interface `DiagramViewBuilder`
  Overrides:
    `createNodeView` in class `DefaultDiagramViewBuilder`

### createEquivalentNodeGroupView

    public CompositeView createEquivalentNodeGroupView(EquivalentNodeGroup group,
                                                       DiagramViewOptions options,
                                                       java.awt.Graphics g)

  Description copied from class: `DefaultDiagramViewBuilder`
  Creates view for equivalent node grpoup. In view mode they are represented by one node image, in design mode they look likes compartment.

  Overrides:
    `createEquivalentNodeGroupView` in class `DefaultDiagramViewBuilder`

### createEdgeView

    public CompositeView createEdgeView(Edge edge,
                                        DiagramViewOptions viewOptions,
                                        java.awt.Graphics g)

  Specified by:
    `createEdgeView` in interface `DiagramViewBuilder`
  Overrides:
    `createEdgeView` in class `DefaultDiagramViewBuilder`
  Pendung:
    high take initial ports into account

### createSemanticRelationView

    public CompositeView createSemanticRelationView(Edge edge,
                                                    PathwayDiagramViewOptions viewOptions,
                                                    java.awt.Graphics g)

### locateReaction

    public void locateReaction(Node reactionNode,
                               DiagramViewOptions options,
                               java.awt.Graphics g)

  Locate reaction.

### doLocateReaction

    protected void doLocateReaction(Node reactionNode,
                                    DiagramViewOptions options,
                                    java.awt.Graphics g)

### getReactionBrush

    protected Brush getReactionBrush(Base reaction,
                                     PathwayDiagramViewOptions options)

  Pendung:
    stub version

### getRelationPen

    protected Pen getRelationPen(Edge edge,
                                 PathwayDiagramViewOptions options)

  Pendung:
    stub version

### getRelationStartTip

    protected ArrowView.Tip getRelationStartTip(Edge edge,
                                                PathwayDiagramViewOptions options)

### getRelationEndTip

    protected ArrowView.Tip getRelationEndTip(Edge edge,
                                              PathwayDiagramViewOptions options)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.